# UIFactory Class Reference

A static user interface creator. More...

`#include <yatecbase.h>`

Inheritance diagram for UIFactory:

List of all members.

## Public Member Functions

| UIFactory (const char *type, const char *name)

## Detailed Description

A static user interface creator.

Each instance of UIFactory creates special user interface elements by name

The documentation for this class was generated from the following file:

- yatecbase.h